#!/bin/bash
#
# Copyright 2022 The ChromiumOS Authors
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#
# Generate version information for the EC binary

EC_VER="$(git describe --tags --long --dirty)"

if [[ -d private/ite ]]; then
  ITE_VER="$(git -C private/ite describe --tags --long --dirty)"
else
  ITE_VER="n/a"
fi

echo "/* This file is generated by util/getversion.sh */" >include/version.h
echo "#define EC_VER \"${EC_VER}\"" >>include/version.h
echo "#define ITE_VER \"${ITE_VER}\"" >>include/version.h
